Loading...
Searching...
No Matches
BALL::VIEW::GeometricObjectSelectionMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::GeometricObjectSelectionMessage:

## Public Member Functions

Constructors and Destructors
| GeometricObjectSelectionMessage ()
virtual | ~GeometricObjectSelectionMessage ()
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Accessors: inspectors and mutators

void | setSelection (const std::list< GeometricObject * > &selection)
const std::list< GeometricObject * > & | getSelection () const
void | setSelected (bool state)
| Set the GeometricObject's to be selected or deselected.
bool | isSelected () const
| Query if the GeometricObject are selected or deselected.

## Detailed Description

GeometricObjectSelectionMessage class.

  Sent by Scene after picking GeometricObject.

  Caught by MainControl.

Definition at line 516 of file message.h.

## Constructor & Destructor Documentation

## GeometricObjectSelectionMessage()

BALL::VIEW::GeometricObjectSelectionMessage::GeometricObjectSelectionMessage | ( |  | ) |

Default Constructor.

## ~GeometricObjectSelectionMessage()

virtual BALL::VIEW::GeometricObjectSelectionMessage::~GeometricObjectSelectionMessage | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getSelection()

const std::list< GeometricObject * > & BALL::VIEW::GeometricObjectSelectionMessage::getSelection | ( |  | ) | const

inline

Non-mutable inspection of the selection of Composite objects.

Definition at line 545 of file message.h.

## isSelected()

bool BALL::VIEW::GeometricObjectSelectionMessage::isSelected | ( |  | ) | const

inline

Query if the GeometricObject are selected or deselected.

Definition at line 553 of file message.h.

## setSelected()

void BALL::VIEW::GeometricObjectSelectionMessage::setSelected | ( | bool | state | ) |

inline

Set the GeometricObject's to be selected or deselected.

Definition at line 549 of file message.h.

## setSelection()

void BALL::VIEW::GeometricObjectSelectionMessage::setSelection | ( | const std::list< GeometricObject * > & | selection | ) |

inline

Change the selection of Composite objects. The selection list will be copied from the given list.

Definition at line 540 of file message.h.